package com.platform.modules.live.entity;

import java.io.Serializable;

import org.hibernate.validator.constraints.NotBlank;

import com.baomidou.mybatisplus.annotations.TableName;

import io.swagger.annotations.ApiModel;
/**
 * 现场与栏目对应关系
 * 
 * @author weiyan
 * @email 
 * @date 2019-04-17 16:13:04
 */
@TableName("live_scene_channel")
@ApiModel("现场与栏目对应关系")
public class LiveSceneChannelEntity implements Serializable {
	private static final long serialVersionUID = 1L;
	
	//
	@NotBlank(message = "id不能为空")
	private Long id;
	//
	@NotBlank(message = "sceneId不能为空")
	private Integer sceneId;
	//
	@NotBlank(message = "channelId不能为空")
	private Integer channelId;
	// 20200319_Mxy 拖动排序标识
	private long dragSort;

	/**
	 * 设置：
	 */
	public void setId(Long id) {
		this.id = id;
	}
	/**
	 * 获取：
	 */
	public Long getId() {
		return id;
	}
	/**
	 * 设置：
	 */
	public void setSceneId(Integer sceneId) {
		this.sceneId = sceneId;
	}
	/**
	 * 获取：
	 */
	public Integer getSceneId() {
		return sceneId;
	}
	/**
	 * 设置：
	 */
	public void setChannelId(Integer channelId) {
		this.channelId = channelId;
	}
	/**
	 * 获取：
	 */
	public Integer getChannelId() {
		return channelId;
	}

	public long getDragSort() {
		return dragSort;
	}

	public void setDragSort(long dragSort) {
		this.dragSort = dragSort;
	}
}
